cURL
curl --request POST \ --url https://whitebit.com/api/v4/order/oco-cancel \ --header 'Content-Type: application/json' \ --header 'X-TXC-APIKEY: <api-key>' \ --data ' { "market": "BTC_USDT", "orderId": 117703764514, "request": "{{request}}", "nonce": "{{nonce}}" } '
{ "id": 117703764513, "stop_loss": { "orderId": 117703764514, "clientOrderId": "", "market": "BTC_USDT", "side": "buy", "type": "stop limit", "timestamp": 1594605801.49815, "dealMoney": "0", "dealStock": "0", "amount": "2.241379", "takerFee": "0.001", "makerFee": "0.001", "left": "2.241379", "dealFee": "0", "post_only": false, "mtime": 1662478154.941582, "price": "19928.79", "activation_price": "29928.79", "activation_condition": "gte", "activated": 0, "status": "CANCELED", "stp": "no" }, "take_profit": { "orderId": 117703764515, "clientOrderId": "", "market": "BTC_USDT", "side": "buy", "type": "limit", "timestamp": 1662478154.941582, "dealMoney": "0", "dealStock": "0", "amount": "0.635709", "left": "0.635709", "dealFee": "0", "post_only": false, "mtime": 1662478154.941582, "price": "9928.79", "status": "CANCELED", "stp": "no" } }
The endpoint cancels an OCO order.
Rate limit: 10000 requests/10 sec.
API Key authentication for private endpoints.
Required headers:
"BTC_USDT"
117703764514
"{{request}}"
"{{nonce}}"
Successful response - OCO order cancelled
OCO order identifier
117703764513
Cancelled stop loss order details
Show child attributes
Cancelled take profit order details
Was this page helpful?